﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TwinTail.Entities
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class TwinTailDb : DbContext
    {
        public TwinTailDb()
            : base("name=TwinTailDb")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Anime> Animes { get; set; }
        public virtual DbSet<Genre> Genres { get; set; }
        public virtual DbSet<Synonym> Synonyms { get; set; }
        public virtual DbSet<Reference> References { get; set; }
        public virtual DbSet<WatchEntry> WatchEntries { get; set; }
        public virtual DbSet<ArchiveEntry> ArchiveEntries { get; set; }
        public virtual DbSet<Fansub> Fansubs { get; set; }
        public virtual DbSet<ApiService> ApiServices { get; set; }
        public virtual DbSet<Account> Accounts { get; set; }
    }
}
